Description

Some of our biggest "problems" that causes us to look elsewhere for a solution are:

there is no way to use an "OR" clause.

there is no good way to search for multiple issues (its possible to select multiple trackers, statuses, etc. but it is not possible to

select multiple subjects nor is it possible to define separate filters per selected filter (e.g. different assignee for each selected

tracker) and other similar use cases).

One proposed solution:

I think one of the "more simple" methods of adding this feature would be to add a way to define multiple sets of "queries"/filters in one

search:

Ex. you need to search for two types of issues at once. Tracker A that are assigned to Paul and Tracker B that are assigned to John.

You need to see both of these side-by-side to be able to compare the due dates between the two and take action as needed.

You define your first "query"/filter by filtering for Tracker: "A" and Assigned to: "Paul". After that, you click a "+" icon below the

filter/options that adds another set of filter/options and you can define your second "query"/filter by setting Tracker: "B" and Assigned

to: "John". Click apply and it will run both queries, distinct & union the result set and display accordingly. The displayed columns

would be shared between all issues.

This could also lead into some sort of combined custom query searching capability if that is something you guys want to explore.

Related issues:

Is duplicate of Redmine - Feature #4939: List of tasks filtered as OR and not... New 2010-02-26

Is duplicate of Redmine - Feature #10999: Ticket list filter: More flexible f... New

History

#1 - 2016-07-01 03:10 - Toshi MARUYAMA

- Category set to Issues filter

#2 - 2016-07-01 03:11 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate of #4939 and #10999.

#3 - 2016-07-01 03:12 - Toshi MARUYAMA

- Is duplicate of Feature #4939: List of tasks filtered as OR and not AND added

#4 - 2016-07-01 03:12 - Toshi MARUYAMA

- Is duplicate of Feature #10999: Ticket list filter: More flexible filter conditions added
